# Stickers — Voucher Claim

The LiSA Player dispatches a message when the voucher code of an active voucher sticker is redeemed by the user.

This message is sent by the LiSA Player to the host app / environment.

### Properties

Along with all standard [Sticker message properties](/developers/guides/player-communication/message-api-reference/stickers.md#properties), a **Voucher Claim** message includes the following additional properties:

<table><thead><tr><th width="220" valign="top">Name</th><th width="175" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>messageType</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>lsc:sticker:voucher:claim</code></td></tr><tr><td valign="top"><code>stickerDetails</code></td><td valign="top"><pre><code>VoucherStickerDetails
</code></pre><p>Required.</p></td><td valign="top">The <code>stickerDetails</code> property represents the corresponding details object containing relevant information. The structure of this object varies depending on the <code>stickerType</code>.<br><br>In case of the Voucher Sticker Claim message, the sticker details will always include voucher specific details only.<br><br>Refer to <a href="/pages/Bc0zRBVVEb9GWwQHw6PE#stickerdetails">StickerDetails</a> for detailed information.</td></tr><tr><td valign="top"><code>stickerType</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top">The <code>stickerType</code> property represents the type of sticker being used.<br><br>In case of the Voucher Sticker Claim message, the value is always <code>voucher</code>.</td></tr></tbody></table>

***

### Type Definition

```typescript
interface VoucherStickerClaimMessage extends Omit<
  StickerMessage,
  'messageType' | 'stickerDetails' | 'stickerType'
> {
  messageType: 'lsc:sticker:voucher:claim';
  stickerDetails: VoucherStickerDetails;
  stickerType: 'voucher';
}
```

***

### Examples

```json
{
  "clockDriftInMs": 0,
  "mediaItemId": "9f333331-45cb-4289-8bcd-9023c1871111",
  "mediaItemType": "live",
  "messageType": "lsc:sticker:voucher:claim",
  "progress": {
    "bufferedTimeInMs": 648036,
    "currentTimeInMs": 628008,
    "durationInMs": 4616000,
    "elapsedTimeInMs": 28784,
    "skipTimeInMs": 600000,
    "isLive": true,
    "visitorDwellTimeInMs": 29135,
    "isPlaying": true
  },
  "sender": "LiSA",
  "stickerActionTarget": "NEW-YEARS-DROP",
  "stickerActivationTimerDurationInSec": 300,
  "stickerActivationTimerIsActive": false,
  "stickerActivationTimerIsCompleted": true,
  "stickerActivationTimerStartedAt": "2025-01-01T19:15:00Z",
  "stickerDetails": {
    "ctaBehavior": "addToCart",
    "voucherCode": "NEWYEARS15"  
  },
  "stickerExpiryTimerDurationInSec": 900,
  "stickerExpiryTimerIsActive": true,
  "stickerExpiryTimerStartedAt": "2025-01-01T19:20:00Z",
  "stickerId": "9ffbad77-c6e8-495e-99bb-193b0d3b109f",
  "stickerIsExpired": false,
  "stickerIsUnlocked": true,
  "stickerType": "voucher"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/stickers/stickers-voucher-claim.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
